{
  "schema_version": "1.4.0",
  "id": "GHSA-x474-4899-v7hv",
  "modified": "2025-04-09T04:04:24Z",
  "published": "2022-05-02T03:14:59Z",
  "aliases": [
    "CVE-2009-0375"
  ],
  "details": "Buffer overflow in a DLL file in RealNetworks RealPlayer 10, RealPlayer 10.5 6.0.12.1040 through 6.0.12.1741, RealPlayer 11 11.0.0 through 11.0.4, RealPlayer Enterprise, Mac RealPlayer 10 and 10.1, Linux RealPlayer 10, and Helix Player 10.x allows remote attackers to execute arbitrary code via a crafted Internet Video Recording (IVR) file with a filename length field containing a large integer, which triggers overwrite of an arbitrary memory location with a 0x00 byte value, related to use of RealPlayer through a Windows Explorer plugin.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2009-0375"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/48567"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/33810"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/38218"
    },
    {
      "type": "WEB",
      "url": "http://service.real.com/realplayer/security/01192010_player/en"
    },
    {
      "type": "WEB",
      "url": "http://www.fortiguardcenter.com/advisory/FGA-2009-04.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/500722/100/0/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/33652"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2010/0178"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-94"
    ],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2009-02-08T21:30:00Z"
  }
}